#### Previous topic

scipy.interpolate.LSQBivariateSpline

#### Next topic

scipy.interpolate.LSQBivariateSpline.ev

# scipy.interpolate.LSQBivariateSpline.__call__

`LSQBivariateSpline.``__call__`(x, y, mth=None, dx=0, dy=0, grid=True)

  Evaluate the spline or its derivatives at given positions.

  Parameters:

  x, y : array_like

  > Input coordinates.

  > If grid is False, evaluate the spline at points `(x[i], y[i]), i=0, ..., len(x)-1`. Standard Numpy broadcasting is obeyed.

  > If grid is True: evaluate spline at the grid points defined by the coordinate arrays x, y. The arrays must be sorted to increasing order.

  dx : int

  > Order of x-derivative

  > New in version 0.14.0.

  dy : int

  > Order of y-derivative

  > New in version 0.14.0.

  grid : bool

  > Whether to evaluate the results on a grid spanned by the input arrays, or at points specified by the input arrays.

  > New in version 0.14.0.

  mth : str

  > Deprecated argument. Has no effect.